Bug 155198 - New port: graphics/amide Medical Imaging Data Examiner
Summary: New port: graphics/amide Medical Imaging Data Examiner
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-02 16:20 UTC by Guido Falsi
Modified: 2011-03-11 11:00 UTC (History)
0 users

See Also:


Attachments
file.shar (12.80 KB, text/plain)
2011-03-02 16:20 UTC, Guido Falsi
no flags Details
amide.sh.txt (12.83 KB, text/plain; charset="ISO-8859-1")
2011-03-09 08:08 UTC, Ganael LAPLANCHE
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2011-03-02 16:20:10 UTC
I had a need to look at some medical DCOM files. I found there was
nothing covering my needs in the ports tree, so I ported this
software. My special need was to look at a Magnetic Resonance.

From the website:

AMIDE is a competely free tool for viewing, analyzing, and registering
volumetric medical imaging data sets. It's been written on top of
GTK+, and runs on any system that supports this toolkit.


BTW I plainly commented out a part of the code which I could not
adapt to the new version of dcmtk. Suggestions from anyone with
more insight about this toolkit are welcome.

The commented out part is this (from files/patch-src-dcmtk_interface.cc):

 #ifdef AMIDE_DEBUG  
-  dcm_dir.enableVerboseMode(TRUE);
-  dcm_dir.setLogStream(&ofConsole);
+// These are not defined in the latest dcmtk and could not find substitutes.
+//  dcm_dir.enableVerboseMode(TRUE);
+//  dcm_dir.setLogStream(&ofConsole);
 #endif
Comment 1 Guido Falsi freebsd_committer 2011-03-02 16:57:25 UTC
In the Makefile a bogus RUN_DEPENDS line slipped in. The one just before
OPTIONS, it can be simply removed.

Sorry for the mistake.

-- 
Guido Falsi <mad@madpilot.net>
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-03-03 14:08:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 3 Ganael LAPLANCHE freebsd_committer 2011-03-09 08:08:48 UTC
Hi,

Thanks for your contribution.

Find attached an updated version of your .shar file. I've re-written OPTIONS 
handling to follow the porter's handbook recommendations and explicitly 
disable options in configure if not selected. I've also reformatted pkg-descr.

Do those changes seem reasonable to you ?

-- 
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 4 Guido Falsi freebsd_committer 2011-03-09 11:56:29 UTC
On 03/09/11 09:08, Ganael Laplanche wrote:
> Hi,
>
> Thanks for your contribution.
>
> Find attached an updated version of your .shar file. I've re-written OPTIONS
> handling to follow the porter's handbook recommendations and explicitly
> disable options in configure if not selected. I've also reformatted pkg-descr.
>
> Do those changes seem reasonable to you ?
>

Yes, They are quite reasonable and I approve them.

Thank you for your help!

-- 
Guido Falsi <mad@madpilot.net>
Comment 5 Ganael LAPLANCHE freebsd_committer 2011-03-11 11:00:32 UTC
State Changed
From-To: open->closed

Committed with minor changes, thanks!